Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f43cc590-00b1-4f16-94af-8d8cfe67c9c4",
  "jobs_id": "72b4f60f-cee6-4387-b954-b17e4a2c0690",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "d17a66c3-bd0e-4431-9a85-a62ce0fb0e5b",
    "_parent_id": "b529c720-a9ba-4cac-86ad-c56647dfa457",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "d2027931-6b3b-40ac-92c2-277f10a1e559",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "e1c7c7db-5c2a-4805-9994-5a15be073206",
      "_parent_id": "3bab0451-0595-49ea-a0d3-78daa8d14035",
      "root_parent_id": "a1752019-6853-4ae5-98e1-1994fc6a8dc6",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "414138a6-581a-429e-867a-549e5f8b6249",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "f4357d86-d6b8-4533-abd5-b3abeea045ae",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "685f7f3c-3d7a-4ed5-98fe-bd6d16f25c33",
        "_parent_code": "sample string 6",
        "sales_organization_id": "d433ab7e-b05f-4a49-8b79-3f5bf977fa2b",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
          "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
          "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
        },
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "equipment_model_id": "8b3a9595-163e-47ee-8f5b-0b5c0a85339d",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "8b58c70b-9073-476c-a8c0-5977269a446b",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "ff626687-702f-4bbb-b2bc-4bfdbf18675c",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "3b5c2059-f595-4e05-a16b-50329bb406c9",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "012e13f7-6b9e-49dd-9db5-cb0c69c5bfaa",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
            "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
            "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
          },
          "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
        },
        "equipment_family_id": "1f7235dc-ef92-45b5-800e-3104186a503a",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "f4357d86-d6b8-4533-abd5-b3abeea045ae",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "685f7f3c-3d7a-4ed5-98fe-bd6d16f25c33",
          "_parent_code": "sample string 6",
          "sales_organization_id": "d433ab7e-b05f-4a49-8b79-3f5bf977fa2b",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
            "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
            "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
          },
          "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
        },
        "date_in_production_since": "2026-10-24T06:42:38.9386392+00:00",
        "date_out_of_production_since": "2026-10-24T06:42:38.9386392+00:00",
        "date_end_support": "2026-10-24T06:42:38.9386392+00:00",
        "sales_organization_id": "08000404-a07e-4592-88aa-7da1de90e9a4",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
          "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
          "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "project_status_id": "bd295c7b-a0b8-42d2-90fb-c1d2af24d4e1",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "861cd2d9-37d0-42fc-ac6c-4bd5121b1db3",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "6ea71b3c-b3d3-4b69-8db6-76103335454d",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
          "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
          "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "company_id": "11d1ff39-c54b-4a22-aa7f-09a6ff6e3946",
      "company_code": "sample string 12",
      "db_address_id": "d9ed48fe-f5e5-4aa1-bbc4-57698ff426be",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "fc0494ab-1a0f-4898-88d4-f51de0ba1d16",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "ac3a6efb-2f64-4b1f-bab9-3f8e84a1fc38",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-24T06:42:38.9386392+00:00",
      "date_create": "2026-10-24T06:42:38.9386392+00:00",
      "date_update": "2026-10-24T06:42:38.9386392+00:00",
      "updated_by_user_id": "974522a2-89b0-4cb9-b86d-db390ac25bd5",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-24T06:42:38.9386392+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-24T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-24T06:42:38.9386392+00:00",
      "date_last_job": "2026-10-24T06:42:38.9386392+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-24T06:42:38.9386392+00:00",
      "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "bd97e60d-d6c2-4814-9f5e-eeec8e23cf22",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "c1838698-3b01-4bad-9c4e-5970c6c2d042",
      "name": "sample string 2",
      "sales_organization_id": "68ad0019-79b0-4ea4-9719-b5acc51ca8f5",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "eae7702b-8aea-44a1-abe7-fe4cb2b3b376",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "6c21a68b-6541-4ab9-83f7-208dfac52387",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "d66d1908-d2a7-4db4-9dd3-6358b31bc12b",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
        "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
        "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
    },
    "job_status_id": "33ea981d-e243-4960-add8-e02acc6c5fcd",
    "job_status_code": "sample string 11",
    "db_address_id": "ab250582-71e3-4906-b310-7336fef91d5c",
    "contact_id": "18352ca1-0645-4e42-8087-a8cde6b0c0a2",
    "requested_by_company_id": "391c0afe-efe3-4ee5-b59c-f87cca6a5c22",
    "requested_by_contact_id": "20e5f6b7-3374-4f4d-a51e-a674d800104a",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-24T06:42:38.9386392+00:00",
    "due_date": "2026-10-24T06:42:38.9386392+00:00",
    "date_create": "2026-10-24T06:42:38.9386392+00:00",
    "date_update": "2026-10-24T06:42:38.9386392+00:00",
    "date_closed": "2026-10-24T06:42:38.9386392+00:00",
    "suggested_user_id": "33cc1789-7215-48d4-8c17-b65fa4ba5c11",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "47c0c459-7e88-422d-8c60-18843588be70",
      "db_language_id": "b25b9f3e-ef2b-4990-a8f6-f55861c72f9a",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-24T06:42:38.9386392+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "00f02a1e-2da5-4f0b-b1d6-c360bf1f801d",
      "sales_organization": {
        "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
        "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
        "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "3c034f1f-6592-44a8-ae3d-460eb1467256",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "558f11e1-4140-4507-835e-0b116e1737d5",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-24T06:42:38.9516703+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "d0c79ba6-0591-4658-a0de-13a7c3bb3edd"
    },
    "suggested_date_start": "2026-10-24T06:42:38.9516703+00:00",
    "skill_id": "556eb000-2252-46e1-b1b0-1b0297ad264b",
    "skill_code": "sample string 32",
    "skill": {
      "id": "10009ceb-d538-4565-902b-d1594d6a33d7",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "3029de70-67c4-4f4c-9fb3-861c90ab43b0",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d5342e68-e098-45e9-b4da-fa9ba3da03a5",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9992ddc8-c792-4e07-a07e-e3e5e4ba82bd",
        "db_currency_id": "cb9b4e55-88fc-4f49-8646-2f9fe674cb26",
        "db_language_id": "77017c71-31aa-4ed2-b64e-3ce6bcdebc26",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-24T06:42:38.9386392+00:00"
      },
      "modified_dateutc": "2026-10-24T06:42:38.9516703+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "efba6b96-b5bd-4f49-8106-2dd64dd49977",
    "date_reported_by_company": "2026-10-24T06:42:38.9516703+00:00",
    "id2": 36,
    "company_id": "695faf61-b8e6-4a9e-a8d5-f9aeda85f3eb",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "cfffeacd-b864-4c99-b757-9edfb92cd945",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-24T06:42:38.9516703+00:00"
  },
  "work_instruction_details_id": "b3957954-b089-4f46-95d0-3f57215bbe04",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "26b96e17-bf9d-42eb-8b36-1664785cd168",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "5c03b012-57b8-46ec-8f37-076268947952",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-24T06:42:38.9516703+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "e2c3daae-1e8e-4886-a98a-45cc3eb2fc73",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-24T06:42:38.9516703+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.